[
{
    blockid=route;
    help=service_smtp_route_route;
    custom="com.netscape.management.msgserv.ServiceMTARoutingControl";
    localvar={
	/* translate this block */
	.header.text="LDAP-Routing-Konfiguration";
	.fallback.text="Wenn der Server keinen LDAP-Eintrag mit einer angegebenen E-Mail-Adresse finden kann, erneut eine Suche mit den ausgew\u00e4hlten Methoden durchf\u00fchren:";
	.fallback.1.text="Nach benutzerdefinierter Dom\u00e4ne suchen";
	.fallback.2.text="Mithilfe einer abgek\u00fcrzten Dom\u00e4ne suchen (Host-Teil weglassen, falls lokal)";
	.fallback.4.text="Nach Benutzer-ID (UID) suchen";
	.routing.text="SMTP-Mail-Routing-Tabelle:";
    };
    content=[
	{
	    ctrl=label;
	    text=$.header.text;
	    font=["","",16];
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    id=routinglabel;
	    text=$.routing.text;
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=table;
	    id=stdtable;
	    stdtable=true;
	    addui=routedialog;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    editui=routedialog;
	    val=$service.smtp.smtp-router.hostrewrites.value;
	    label=routinglabel;
	    showedit=true;
	    buttonsat=east;
	    delimiter=" ";
	    visiblerows=5;
	    columns=[
		{
		    header="Routing-Tabelle";
		    varname=routeentry;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    id=fallbacklabel;
	    text=$.fallback.text;
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=proxy;
		    label=fallbacklabel;
		    val=$service.smtp.smtp-router.fallbacksearchmethod.value;
		},
		{
		    ctrl=rigid;
		    dimension=[12,1];
		},
		{
		    ctrl=pane;
		    layout=[ybox];
		    content=[
			{
			    ctrl=togglepane;
			    id=fallback0;
			    text=$.fallback.1.text;
			    label=fallbacklabel;
			},
			{
			    ctrl=togglepane;
			    id=fallback1;
			    text=$.fallback.2.text;
			    label=fallbacklabel;
			},
			{
			    ctrl=togglepane;
			    id=fallback2;
			    text=$.fallback.4.text;
			    text="Nach Benutzer-ID (UID) suchen";
			    label=fallbacklabel;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	}
    ]
},
{
    blockid=routedialog;
    localvar={
	.route.help="Eintrag in Routing-Tabelle:";
    };
    content=[
	{
	    ctrl=label;
	    id=routelabel;
	    wrap=$g.label.size4;
	    text=$.route.help;
	},
	{
	    ctrl=text;
	    label=routelabel;
	    val=$routeentry;
	}
    ]
}
]
